import HttpKit from '@/utils/http-kit'

export default {
  /**
   * 功能描述：查询[账号]
   */
  page(form) {
    return HttpKit.post(`/platform/account/page`, form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：保存/更新[账号]
   */
  saveOrUpdate(form) {
    return HttpKit.post(`/platform/account/save-or-update`, form).then(
      res => res.data
    )
  },
  /**
   * 功能描述：替换[账号]删除状态
   * @param id
   */
  handleIsDel(id) {
    return HttpKit.post(`/platform/account/handle-is-del`, { id: id }).then(
      res => res.data
    )
  }

}
